Name:           bkhive
Version:        1.1.1
Release:        %mkrel 9
Summary:        Dump the syskey bootkey from a Windows system hive
Group:          Security
License:        GPLv2+
URL:            https://ophcrack.sourceforge.net/
Source0:        https://downloads.sourceforge.net/ophcrack/%{name}-%{version}.tar.gz
Patch0:         %{name}-install.patch

%description
This tool is designed to recover the syskey bootkey from a Windows NT/2K/XP
system hive. Then we can decrypt the SAM file with the syskey and dump
password hashes.

Syskey is a Windows feature that adds an additional encryption layer to the
password hashes stored in the SAM database.

%prep
%setup -q
%patch -P 0 -p 1 -b .install


%build
%make_build CFLAGS="%{optflags}"

%install
OWNER=`id -un`
GROUP=`id -gn`

%make_install \
    BINDIR=%{_bindir} \
    MANDIR=%{_mandir}/man1/ \
    OWNER=${OWNER} \
    GROUP=${GROUP}

%files
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Dec 21 2024 pterjan <pterjan> 1.1.1-9.mga10
+ Revision: 2127134
- Rebuild for patchN deprecation

* Mon Mar 14 2022 umeabot <umeabot> 1.1.1-8.mga9
+ Revision: 1791484
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1.1-7.mga8
+ Revision: 1510734
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 1.1.1-6.mga7
+ Revision: 1295503
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.1.1-5.mga6
+ Revision: 948087
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-4.mga5
+ Revision: 749576
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-3.mga5
+ Revision: 678169
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.1-2.mga4
+ Revision: 523130
- Mageia 4 Mass Rebuild

* Fri Mar 29 2013 guillomovitch <guillomovitch> 1.1.1-1.mga3
+ Revision: 406482
- imported package bkhive

